/**
 * Copyright © 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.deductiondetails.mapper;

import com.jeeplus.modules.deductiondetails.entity.EvaluationSummary;
import com.jeeplus.modules.deductiondetails.entity.SelectClass;
import org.springframework.stereotype.Repository;
import com.jeeplus.core.persistence.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import com.jeeplus.modules.deductiondetails.entity.DeductionDetails;

import java.util.List;

/**
 * deductionDetailsMAPPER接口
 * @author 邱悦
 * @version 2022-01-01
 */
@Mapper
@Repository
public interface DeductionDetailsMapper extends BaseMapper<DeductionDetails> {

    List<EvaluationSummary> findSummaryList(EvaluationSummary deductionDetails);

    EvaluationSummary getSummary(EvaluationSummary evaluationSummary);

    List<SelectClass> getBigClass(String id);

    List<SelectClass> getSubClass(String id);

    String getVeto(String id);

    void insertDetails(DeductionDetails deductionDetails);

    List<String> returnHeader(String id);

}